org.richfaces.fragment.switchable

## Class AbstractSwitchableComponent<T extends ComponentContainer>

- java.lang.Object
- - org.richfaces.fragment.switchable.AbstractSwitchableComponent<T>

- All Implemented Interfaces:
    AdvancedInteractions<AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions>, AdvancedVisibleComponentIteractions<AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions>, SwitchableComponent<T>
  Direct Known Subclasses:
    RichFacesAccordion, RichFacesTabPanel

      public abstract class AbstractSwitchableComponent<T extends ComponentContainer>
      extends Object
      implements SwitchableComponent<T>, AdvancedVisibleComponentIteractions<AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSwitchableComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `switchTo(ChoicePicker picker)` Switches to the container according to the given `picker` rules.
    `T` | `switchTo(int index)` Switches to the container which index is equal to the given `index`
    `T` | `switchTo(String header)` Switches to the container which text representation of header equals to given `header`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.common.AdvancedInteractions

      `advanced`

- - ### Constructor Detail

    - #### AbstractSwitchableComponent

          public AbstractSwitchableComponent()

  - ### Method Detail

    - #### switchTo

          public T switchTo(ChoicePicker picker)

      Description copied from interface: `SwitchableComponent`
      Switches to the container according to the given `picker` rules.
      Specified by:
        `switchTo` in interface `SwitchableComponent<T extends ComponentContainer>`
      Returns:
        initialized container of this switchable component, which was switched into

    - #### switchTo

          public T switchTo(String header)

      Description copied from interface: `SwitchableComponent`
      Switches to the container which text representation of header equals to given `header`.
      Specified by:
        `switchTo` in interface `SwitchableComponent<T extends ComponentContainer>`
      Returns:
        initialized container of this switchable component, which was switched into

    - #### switchTo

          public T switchTo(int index)

      Description copied from interface: `SwitchableComponent`
      Switches to the container which index is equal to the given `index`
      Specified by:
        `switchTo` in interface `SwitchableComponent<T extends ComponentContainer>`
      Parameters:
        `index` - index of the container to be switched to
      Returns:
        initialized container of this switchable component, which was switched into

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.